=== debian/changelog ===
ignition-sensors3 (3.4.0-1~focal) focal; urgency=medium

  * ignition-sensors3 3.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 14:38:21 -0700

ignition-sensors3 (3.3.0-1~focal) focal; urgency=medium

  * ignition-sensors3 3.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 30 Aug 2021 14:40:34 -0700

ignition-sensors3 (3.2.0-1~focal) focal; urgency=medium

  * ignition-sensors3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 08 Feb 2021 12:50:48 -0700

ignition-sensors3 (3.1.0-1~focal) focal; urgency=medium

  * ignition-sensors3 3.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Sep 2020 12:01:04 -0700

ignition-sensors3 (3.0.0-1~focal) focal; urgency=medium

  * ignition-sensors3 3.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 Dec 2019 17:57:11 +0100
