=== debian/control ===
Source: ignition-sensors3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.13.0),
               libignition-common3-events-dev,
               libignition-common3-profiler-dev,
               libignition-math6-dev,
               libignition-msgs5-dev,
               libignition-plugin-dev,
               libignition-rendering3-ogre1-dev,
               libignition-rendering3-ogre2-dev,
               libignition-transport8-core-dev (>= 8.2.0),
               libignition-tools-dev,
               libsdformat9-dev
Vcs-Browser: https://github.com/gazebosim/gz-sensors
Vcs-Git: https://github.com/gazebosim/gz-sensors
Homepage: http://gazebosim.org/

Package: libignition-sensors3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-plugin-dev,
         libignition-rendering3-ogre1-dev,
         libignition-rendering3-ogre2-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-tools-dev,
         libsdformat9-dev,
         libignition-sensors3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Development files
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Shared library
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors3-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-air-pressure (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files air-pressure
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for air-pressure sensor

Package: libignition-sensors3-air-pressure
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib air-pressure
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors3-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-altimeter (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files altimeter
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors3-altimeter
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib altimeter
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for altimeter sensor


Package: libignition-sensors3-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files Camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for Camera sensor

Package: libignition-sensors3-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib Camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors3-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-sensors3-core-dev (= ${binary:Version}),
         libignition-sensors3-camera-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-depth-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files depth-camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for depth-camera sensor

Package: libignition-sensors3-depth-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib depth-camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  . Shared library for depth-camera sensor

Package: libignition-sensors3-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-imu (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files imu
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for imu sensor

Package: libignition-sensors3-imu
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib imu
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for imu sensor


Package: libignition-sensors3-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files lidar
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for lidar sensor

Package: libignition-sensors3-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib lidar
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for lidar sensor

Package: libignition-sensors3-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-sensors3-core-dev (= ${binary:Version}),
         libignition-sensors3-lidar-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-gpu-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files gpu-lidar
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for gpu-lidar sensor

Package: libignition-sensors3-gpu-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib gpu-lidar
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for gpu-lidar sensor

Package: libignition-sensors3-logical-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-msgs5-dev,
         libignition-transport8-core-dev (>= 8.2.0),
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-logical-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files logical-camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for logical-camera sensor

Package: libignition-sensors3-logical-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib logical-camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for logical-camera sensor

Package: libignition-sensors3-magnetometer-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0),
         libignition-common3-events-dev,
         libignition-math6-dev,
         libignition-sensors3-core-dev (= ${binary:Version}),
         libsdformat9-dev,
         libignition-sensors3-magnetometer (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files magnetometer
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for magnetometer sensor

Package: libignition-sensors3-magnetometer
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib magnetometer
